package colorspace

type ColorCoordinate [2]float64

func (c ColorCoordinate) X() float64 {
	return c[0]
}

func (c ColorCoordinate) Y() float64 {
	return c[1]
}

func (c ColorCoordinate) ToXYZ() (X, Y, Z float64) {
	X = c[0] / c[1]
	Y = 1.0
	Z = (1 - c[0] - c[1]) / c[1]
	return
}
