package main

import (
	"sync"
)

type frameJobData struct {
	wg     *sync.WaitGroup
	frame  int
	height int
	width  int
	in     []uint32
	y      []uint16
	cb     []uint16
	cr     []uint16
}

func (job frameJobData) Process() {
	defer job.wg.Done()

	ConvertFrame(job.in, job.y, job.cb, job.cr, job.width, job.height)
}

type decodedFrame struct {
	Number int
	Frame  []uint32
}
