#!/bin/bash

# Playbacks an XYZ input file straight via mpv

cd "$(cd -P -- "$(dirname -- "${BASH_SOURCE[0]}")" && pwd -P)"

../bin/xyz2yuv -lowres=2 \
-in "${1}" \
-colorspace "${2}" \
-out - | mpv --msg-level="vo=v" \
--demuxer-max-bytes=4096MiB --cache=yes --cache-secs=30 \
--force-seekable=yes - \
--vf="format=colormatrix=${3}:colorlevels=full:primaries=${4}:gamma=${5}" \
--external-file="${1}" \
--vid=1 --aid=1